/**
 * Created by Tony on 2021/9/10.
 */

BaseController = require("../../common/base/base_controller");
featureFacade  = require("../facade/bills_unitprice_feature_facade");

class BillsUnitPriceFeatureController extends BaseController{
    async findLib(request, response){
        let result={
            error:0
        };
        try {
            let data = request.body.data;
            data = JSON.parse(data);
            let conditions={'ID' : data.ID};
            let resultData = await featureFacade.findByCondition(conditions);
            result.data=resultData;
        }catch (err){
            console.log(err);
            result.error=1;
            result.message = err.message;
        }
        response.json(result);
    }
}
export default BillsUnitPriceFeatureController;